<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xml:lang="en" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:d = "http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:exsl="http://exslt.org/common"  exclude-result-prefixes="d" version="1.0">
  <xsl:template match="/">
    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">      
		<fo:layout-master-set>
    <fo:simple-page-master master-name="even"
      page-height="297mm" page-width="210mm"
      margin-top="20mm" margin-bottom="20mm"
      margin-left="25mm" margin-right="25mm">
      <fo:region-body margin-bottom="20mm"/>
      <fo:region-after region-name="footer-even" extent="10mm"/>
    </fo:simple-page-master>
    <fo:simple-page-master master-name="odd"
      page-height="297mm" page-width="210mm"
      margin-top="20mm" margin-bottom="20mm"
      margin-left="25mm" margin-right="25mm">
      <fo:region-body margin-bottom="20mm"/>
      <fo:region-after region-name="footer-odd" extent="10mm"/>
    </fo:simple-page-master>
    <fo:page-sequence-master master-name="document">
      <fo:repeatable-page-master-alternatives>
        <fo:conditional-page-master-reference odd-or-even="even"
          master-reference="even"/>
        <fo:conditional-page-master-reference odd-or-even="odd"
          master-reference="odd"/>
      </fo:repeatable-page-master-alternatives>
    </fo:page-sequence-master>
  </fo:layout-master-set>
  <fo:page-sequence master-reference="document" font-family="Arial">
    <fo:static-content flow-name="footer-even">
      <fo:block text-align="end"><fo:page-number/></fo:block>
    </fo:static-content>
    <fo:static-content flow-name="footer-odd">
      <fo:block text-align-last="end"><fo:page-number/></fo:block>
    </fo:static-content>
          <fo:flow flow-name="xsl-region-body">							     				
										<xsl:for-each select="/DPOSS_EU/nazov">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Daňové priznanie k DPH, úprava pre Úniu</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>(VAT return - Union scheme)</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/identifikacneUdaje">
    			<fo:block background-color='black' color='white'>1 Identifikačné údaje (Identification)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>IČ DPH  (VAT Identification Number)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/identifikacneUdaje/vatIdentificationNumber'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./secVatReturnPeriod">
    			<fo:block background-color='black' color='white'>Zdaňovacie obdobie  (VAT return period)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Štvrťrok (Quarter)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/quarter[text()='1']">1Q</xsl:if><xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/quarter[text()='2']">2Q</xsl:if><xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/quarter[text()='3']">3Q</xsl:if><xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/quarter[text()='4']">4Q</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block font-size='10pt' hyphenate='true'><fo:inline color='white'>___</fo:inline>Rok  (Year)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/year'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum začiatku obdobia (Start date)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/startDate'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block font-size='10pt' hyphenate='true'><fo:inline color='white'>___</fo:inline>Dátum konca obdobia (End date)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/endDate'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/nevzniklaPovinnost">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Daňové priznanie k DPH - Nulové (Nil VAT Return)</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/DPOSS_EU/nevzniklaPovinnost/nevzniklaPov[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/secSuppliesMemberState">
    			<fo:block background-color='black' color='white'>2 a,b Dodania uskutočnené z členského štátu identifikácie (Supplies from Member State of Identification)</fo:block><fo:block color='white'>|</fo:block>
						<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secSumarna_1">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková suma DPH za služby dodané z členského štátu identifikácie (EUR)  (Total VAT Amount payable for services supplied from the Member state of identification (€))</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/secSuppliesMemberState/secSumarna_1/totalAmountServices'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková suma DPH za tovary dodané z členského štátu identifikácie (EUR)  (Total VAT Amount payable for goods supplied from the Member state of identification (€))</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/secSuppliesMemberState/secSumarna_1/totalAmountGoods'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/secSuppliesFixedEstablishments">
    			<fo:block background-color='black' color='white'>2 c,d Dodania uskutočnené zo stálych prevádzkární v ostatných členských štátoch alebo dodanie tovarov odoslaných alebo prepravených z iných krajín (Services supplied from a Member State of Establishment or supplies of goods dispatched or transported from another Country)</fo:block><fo:block color='white'>|</fo:block>
						<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secSumarna_2">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková suma DPH splatná za služby dodávané zo stálych prevádzkarní, ktoré nie sú v členskom štáte identifikácie  (EUR)  (Total VAT Amount payable for services supplied from Fixed Establishments not in Member State of identification (€))</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/secSuppliesFixedEstablishments/secSumarna_2/totalAmountServices_MSE'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková suma DPH splatná za dodávky tovaru odoslaného alebo prepravovaného z iných členských štátov, ako je členský štát identifikácie (EUR)  (Total VAT Amount payable for supplies of goods dispatched or transported from Member States other than Member State of Identification (€))</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/secSuppliesFixedEstablishments/secSumarna_2/totalAmountGoods_MSE'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/secVatGrandTotal">
    			<fo:block background-color='black' color='white'>2e Celková suma DPH (VAT Return Grand Total)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková suma DPH (EUR) (VAT Return Grand Total (€))</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/secVatGrandTotal/grandTotal'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/secCorrections">
    			<fo:block background-color='black' color='white'>3 Opravy predchádzajúcich daňových priznaní (najviac 3 roky) (Corrections to previous VAT Return (max. 3 years))</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./secHlavicka1">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Zdaňovacie obdobie</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Členský štát spotreby</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Celková suma DPH vyplývajúca z oprávk dodaniam resp. poskytnutiam</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>(VAT return period)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Rok (Year)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>(MS of Consumption)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>(Total VAT Amount resulting from corrections of supplies (€))</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Štvrťrok (Quarter)</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secKorekcia">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="QuarterCorrect[text()='1']">1Q</xsl:if><xsl:if test="QuarterCorrect[text()='2']">2Q</xsl:if><xsl:if test="QuarterCorrect[text()='3']">3Q</xsl:if><xsl:if test="QuarterCorrect[text()='4']">4Q</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='YearCorrect'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="stateConsumptCorrect[text()='BE']">Belgicko (Belgium)</xsl:if><xsl:if test="stateConsumptCorrect[text()='BG']">Bulharsko (Bulgaria)</xsl:if><xsl:if test="stateConsumptCorrect[text()='CY']">Cyprus (Cyprus)</xsl:if><xsl:if test="stateConsumptCorrect[text()='CZ']">Česká republika (Czechia)</xsl:if><xsl:if test="stateConsumptCorrect[text()='DK']">Dánsko (Denmark)</xsl:if><xsl:if test="stateConsumptCorrect[text()='EE']">Estónsko (Estonia)</xsl:if><xsl:if test="stateConsumptCorrect[text()='FI']">Fínsko (Finland)</xsl:if><xsl:if test="stateConsumptCorrect[text()='FR']">Francúzsko (France)</xsl:if><xsl:if test="stateConsumptCorrect[text()='EL']">Grécko (Greece)</xsl:if><xsl:if test="stateConsumptCorrect[text()='NL']">Holandsko (Netherlands)</xsl:if><xsl:if test="stateConsumptCorrect[text()='HR']">Chorvátsko (Croatia)</xsl:if><xsl:if test="stateConsumptCorrect[text()='IE']">Írsko (Ireland)</xsl:if><xsl:if test="stateConsumptCorrect[text()='LT']">Litva (Lithuania)</xsl:if><xsl:if test="stateConsumptCorrect[text()='LV']">Lotyšsko (Latvia)</xsl:if><xsl:if test="stateConsumptCorrect[text()='LU']">Luxembursko (Luxembourg)</xsl:if><xsl:if test="stateConsumptCorrect[text()='HU']">Maďarsko (Hungary)</xsl:if><xsl:if test="stateConsumptCorrect[text()='MT']">Malta (Malta)</xsl:if><xsl:if test="stateConsumptCorrect[text()='DE']">Nemecko (Germany)</xsl:if><xsl:if test="stateConsumptCorrect[text()='PL']">Poľsko (Poland)</xsl:if><xsl:if test="stateConsumptCorrect[text()='PT']">Portugalsko (Portugal)</xsl:if><xsl:if test="stateConsumptCorrect[text()='AT']">Rakúsko (Austria)</xsl:if><xsl:if test="stateConsumptCorrect[text()='RO']">Rumunsko (Romania)</xsl:if><xsl:if test="stateConsumptCorrect[text()='SK']">Slovensko (Slovakia)</xsl:if><xsl:if test="stateConsumptCorrect[text()='SI']">Slovinsko (Slovenia)</xsl:if><xsl:if test="stateConsumptCorrect[text()='ES']">Španielsko (Spain)</xsl:if><xsl:if test="stateConsumptCorrect[text()='SE']">Švédsko (Sweden)</xsl:if><xsl:if test="stateConsumptCorrect[text()='IT']">Taliansko (Italy)</xsl:if><xsl:if test="stateConsumptCorrect[text()='XI']">Severné Írsko (Northern Ireland)</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='totalAmountCorrect'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/secBalance">
    			<fo:block background-color='black' color='white'>4 DPH splatná za každý členský štát spotreby (Balance of VAT due for each Member state of Consumption)</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./secHlavicka2">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Členský štát spotreby</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Celková suma DPH vrátane korekcií za predchádzajúce obdobia</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>(MS of Consumption)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline> (Total VAT Amount due including corrections of previous returns (€))</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secSumaStat">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="StateConsumBalance[text()='BE']">Belgicko (Belgium)</xsl:if><xsl:if test="StateConsumBalance[text()='BG']">Bulharsko (Bulgaria)</xsl:if><xsl:if test="StateConsumBalance[text()='CY']">Cyprus (Cyprus)</xsl:if><xsl:if test="StateConsumBalance[text()='CZ']">Česká republika (Czechia)</xsl:if><xsl:if test="StateConsumBalance[text()='DK']">Dánsko (Denmark)</xsl:if><xsl:if test="StateConsumBalance[text()='EE']">Estónsko (Estonia)</xsl:if><xsl:if test="StateConsumBalance[text()='FI']">Fínsko (Finland)</xsl:if><xsl:if test="StateConsumBalance[text()='FR']">Francúzsko (France)</xsl:if><xsl:if test="StateConsumBalance[text()='EL']">Grécko (Greece)</xsl:if><xsl:if test="StateConsumBalance[text()='NL']">Holandsko (Netherlands)</xsl:if><xsl:if test="StateConsumBalance[text()='HR']">Chorvátsko (Croatia)</xsl:if><xsl:if test="StateConsumBalance[text()='IE']">Írsko (Ireland)</xsl:if><xsl:if test="StateConsumBalance[text()='LT']">Litva (Lithuania)</xsl:if><xsl:if test="StateConsumBalance[text()='LV']">Lotyšsko (Latvia)</xsl:if><xsl:if test="StateConsumBalance[text()='LU']">Luxembursko (Luxembourg)</xsl:if><xsl:if test="StateConsumBalance[text()='HU']">Maďarsko (Hungary)</xsl:if><xsl:if test="StateConsumBalance[text()='MT']">Malta (Malta)</xsl:if><xsl:if test="StateConsumBalance[text()='DE']">Nemecko (Germany)</xsl:if><xsl:if test="StateConsumBalance[text()='PL']">Poľsko (Poland)</xsl:if><xsl:if test="StateConsumBalance[text()='PT']">Portugalsko (Portugal)</xsl:if><xsl:if test="StateConsumBalance[text()='AT']">Rakúsko (Austria)</xsl:if><xsl:if test="StateConsumBalance[text()='RO']">Rumunsko (Romania)</xsl:if><xsl:if test="StateConsumBalance[text()='SK']">Slovensko (Slovakia)</xsl:if><xsl:if test="StateConsumBalance[text()='SI']">Slovinsko (Slovenia)</xsl:if><xsl:if test="StateConsumBalance[text()='ES']">Španielsko (Spain)</xsl:if><xsl:if test="StateConsumBalance[text()='SE']">Švédsko (Sweden)</xsl:if><xsl:if test="StateConsumBalance[text()='IT']">Taliansko (Italy)</xsl:if><xsl:if test="StateConsumBalance[text()='XI']">Severné Írsko (Northern Ireland)</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='TotalVatAmountBalance'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/DPOSS_EU/secTotalVatDue">
    			<fo:block background-color='black' color='white'>5 Celková suma splatnej DPH (Total Amount of VAT due)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková suma DPH splatná za  všetky  členské štáty spotreby (EUR) ( Total VAT Amount due for all Member States of Consumption (€))</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/DPOSS_EU/secTotalVatDue/totalAmountDue'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
						

			</fo:flow>
           </fo:page-sequence>
          </fo:root>
         </xsl:template>
        </xsl:stylesheet>
