<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>DPOSS_EU - Daňové priznanie k DPH - Úprava pre Úniu</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/DPOSS_EU">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">DPOSS_EU</div>
</div>
<xsl:if test="/DPOSS_EU/nazov/text()"><div><label class="labelVis">nazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/DPOSS_EU/identifikacneUdaje">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">1 Identifikačné údaje (Identification)</div>
</div>
<xsl:if test="/DPOSS_EU/identifikacneUdaje/vatIdentificationNumber/text()"><div><label class="labelVis">IČ DPH  (VAT Identification Number): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatIdentificationNumber"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/identifikacneUdaje/companyName/text()"><div><label class="labelVis">Meno, Priezvisko / Obchodné meno alebo názov  (Company Name): </label><span class="contentVis wordwrap"><xsl:value-of select="./companyName"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Zdaňovacie obdobie  (VAT return period)</div>
</div>
<xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/quarter/text()"><div><label class="labelVis">Štvrťrok (Quarter): </label><span class="contentVis wordwrap"><xsl:value-of select="./quarter"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/startDate/text()"><div><label class="labelVis">Dátum začiatku obdobia (Start date): </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./startDate" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/year/text()"><div><label class="labelVis">Rok  (Year): </label><span class="contentVis wordwrap"><xsl:value-of select="./year"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/identifikacneUdaje/secVatReturnPeriod/endDate/text()"><div><label class="labelVis">Dátum konca obdobia (End date): </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./endDate" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/nevzniklaPovinnost">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">v zdaňovacom období nevznikla povinnosť</div>
</div>
<xsl:if test="/DPOSS_EU/nevzniklaPovinnost/nevzniklaPov/text()"><div><label class="labelVis">Daňové priznanie k DPH - Nulové (Nil VAT Return): </label><span class="contentVis wordwrap"><xsl:value-of select="./nevzniklaPov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secSuppliesMemberState">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">2 a,b Dodania uskutočnené z členského štátu identifikácie (Supplies from Member State of Identification)</div>
</div>
<xsl:for-each select="/DPOSS_EU/secSuppliesMemberState/secPomocna_1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Typ dodania a štát spotreby</div>
</div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/stateOfConsumption/text()"><div><label class="labelVis">Členský štát spotreby  (MS of Consumption): </label><span class="contentVis wordwrap"><xsl:value-of select="./stateOfConsumption"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/vatType/text()"><div><label class="labelVis">Typ sadzby DPH  (VAT Rate Type): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatType"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/vatRate_combo/text()"><div><label class="labelVis">Sadzba DPH  (VAT Rate): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatRate_combo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/vatRate_txt/text()"><div><label class="labelVis">Sadzba DPH - Iná  (VAT Rate - Other): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatRate_txt"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/typeOfSupply/text()"><div><label class="labelVis">Typ dodania  (Type of Supply): </label><span class="contentVis wordwrap"><xsl:value-of select="./typeOfSupply"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/taxableAmount/text()"><div><label class="labelVis">Základ dane (EUR)  (Taxable amount €): </label><span class="contentVis wordwrap"><xsl:value-of select="./taxableAmount"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secPomocna_1/vatAmount/text()"><div><label class="labelVis">Suma DPH (EUR)  (VAT amount €): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatAmount"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secSuppliesMemberState/secSumarna_1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sumárna</div>
</div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secSumarna_1/totalAmountServices/text()"><div><label class="labelVis">Celková suma DPH za služby dodané z členského štátu identifikácie (EUR)  (Total VAT Amount payable for services supplied from the Member state of identification (€)): </label><span class="contentVis wordwrap"><xsl:value-of select="./totalAmountServices"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesMemberState/secSumarna_1/totalAmountGoods/text()"><div><label class="labelVis">Celková suma DPH za tovary dodané z členského štátu identifikácie (EUR)  (Total VAT Amount payable for goods supplied from the Member state of identification (€)): </label><span class="contentVis wordwrap"><xsl:value-of select="./totalAmountGoods"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secSuppliesFixedEstablishments">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">2 c,d Dodania uskutočnené zo stálych prevádzkární v ostatných členských štátoch alebo dodanie tovarov odoslaných alebo prepravených z iných krajín (Services supplied from a Member State of Establishment or supplies of goods dispatched or transported from another Country)</div>
</div>
<xsl:for-each select="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Typ dodania a štát spotreby</div>
</div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/vatIdentificationNumber_MSE/text()"><div><label class="labelVis">IČ DPH (VAT Identification Number): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatIdentificationNumber_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/taxReferenceNumber/text()"><div><label class="labelVis">Daňové identifikačné číslo  (Tax reference number): </label><span class="contentVis wordwrap"><xsl:value-of select="./taxReferenceNumber"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/countryCode/text()"><div><label class="labelVis">Kód krajiny členského štátu  (Country code): </label><span class="contentVis wordwrap"><xsl:value-of select="./countryCode"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/stateOfConsumption_MSE/text()"><div><label class="labelVis">Členský štát spotreby  (MS of Consumption): </label><span class="contentVis wordwrap"><xsl:value-of select="./stateOfConsumption_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/vatType_MSE/text()"><div><label class="labelVis">Typ sadzby DPH  (VAT Rate Type): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatType_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/vatRate_combo_MSE/text()"><div><label class="labelVis">Sadzba DPH  (VAT Rate): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatRate_combo_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/vatRate_txt_MSE/text()"><div><label class="labelVis">Sadzba DPH - Iná  (VAT Rate - Other): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatRate_txt_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/typeOfSupply_MSE/text()"><div><label class="labelVis">Typ dodania  (Type of Supply): </label><span class="contentVis wordwrap"><xsl:value-of select="./typeOfSupply_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/taxableAmount_MSE/text()"><div><label class="labelVis">Základ dane (EUR)  (Taxable amount €): </label><span class="contentVis wordwrap"><xsl:value-of select="./taxableAmount_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secPomocna_2/vatAmount_MSE/text()"><div><label class="labelVis">Suma DPH (EUR)  (VAT amount €): </label><span class="contentVis wordwrap"><xsl:value-of select="./vatAmount_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secSuppliesFixedEstablishments/secSumarna_2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sumárna</div>
</div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secSumarna_2/totalAmountServices_MSE/text()"><div><label class="labelVis">Celková suma DPH splatná za služby dodávané zo stálych prevádzkarní, ktoré nie sú v členskom štáte identifikácie  (EUR)  (Total VAT Amount payable for services supplied from Fixed Establishments not in Member State of identification (€)): </label><span class="contentVis wordwrap"><xsl:value-of select="./totalAmountServices_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secSuppliesFixedEstablishments/secSumarna_2/totalAmountGoods_MSE/text()"><div><label class="labelVis">Celková suma DPH splatná za dodávky tovaru odoslaného alebo prepravovaného z iných členských štátov, ako je členský štát identifikácie (EUR)  (Total VAT Amount payable for supplies of goods dispatched or transported from Member States other than Member State of Identification (€)): </label><span class="contentVis wordwrap"><xsl:value-of select="./totalAmountGoods_MSE"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secVatGrandTotal">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">2e Celková suma DPH (VAT Return Grand Total)</div>
</div>
<xsl:if test="/DPOSS_EU/secVatGrandTotal/grandTotal/text()"><div><label class="labelVis">Celková suma DPH (EUR) (VAT Return Grand Total (€)): </label><span class="contentVis wordwrap"><xsl:value-of select="./grandTotal"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secCorrections">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">3 Opravy predchádzajúcich daňových priznaní (najviac 3 roky) (Corrections to previous VAT Return (max. 3 years))</div>
</div>
<xsl:if test="/DPOSS_EU/secCorrections/secHlavicka1/text()"><div><label class="labelVis">secHlavicka1: </label><span class="contentVis wordwrap"><xsl:value-of select="./secHlavicka1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/DPOSS_EU/secCorrections/secKorekcia">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Korekcia</div>
</div>
<xsl:if test="/DPOSS_EU/secCorrections/secKorekcia/QuarterCorrect/text()"><div><label class="labelVis">Štvrťrok: </label><span class="contentVis wordwrap"><xsl:value-of select="./QuarterCorrect"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secCorrections/secKorekcia/YearCorrect/text()"><div><label class="labelVis">Rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./YearCorrect"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secCorrections/secKorekcia/stateConsumptCorrect/text()"><div><label class="labelVis">Členský štát spotreby: </label><span class="contentVis wordwrap"><xsl:value-of select="./stateConsumptCorrect"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secCorrections/secKorekcia/totalAmountCorrect/text()"><div><label class="labelVis">Celková suma DPH: </label><span class="contentVis wordwrap"><xsl:value-of select="./totalAmountCorrect"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secBalance">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">4 DPH splatná za každý členský štát spotreby (Balance of VAT due for each Member state of Consumption)</div>
</div>
<xsl:if test="/DPOSS_EU/secBalance/secHlavicka2/text()"><div><label class="labelVis">secHlavicka2: </label><span class="contentVis wordwrap"><xsl:value-of select="./secHlavicka2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/DPOSS_EU/secBalance/secSumaStat">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Suma za štát</div>
</div>
<xsl:if test="/DPOSS_EU/secBalance/secSumaStat/StateConsumBalance/text()"><div><label class="labelVis">Členský štát spotreby: </label><span class="contentVis wordwrap"><xsl:value-of select="./StateConsumBalance"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/DPOSS_EU/secBalance/secSumaStat/TotalVatAmountBalance/text()"><div><label class="labelVis">Celková suma DPH vrátane korekcií za predchádzajúce obdobia: </label><span class="contentVis wordwrap"><xsl:value-of select="./TotalVatAmountBalance"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/DPOSS_EU/secTotalVatDue">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">5 Celková suma splatnej DPH (Total Amount of VAT due)</div>
</div>
<xsl:if test="/DPOSS_EU/secTotalVatDue/totalAmountDue/text()"><div><label class="labelVis">Celková suma DPH splatná za  všetky  členské štáty spotreby (EUR) ( Total VAT Amount due for all Member States of Consumption (€)): </label><span class="contentVis wordwrap"><xsl:value-of select="./totalAmountDue"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

