<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vun="urn:ec.europa.eu:taxud:frsr:vatunion:v1.0">
  <xsl:output method="text" indent="yes" omit-xml-declaration="yes"/>
  <xsl:strip-space elements="*" />
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:TraderID">
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>Identifikačné údaje (Identification)</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:TraderID/vun:VATNumber">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>IČ DPH (VAT Identification Number): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Period">
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>Zdaňovacie obdobie (VAT return period)</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Period/vun:Year">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Rok (Year): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Period/vun:Quarter">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Štvrťrok (Quarter): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Period/vun:StartDate">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Dátum začiatku obdobia (Start date): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Period/vun:EndDate">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Dátum konca obdobia (End date): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:NilVatReturn">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Daňové priznanie k DPH - Nulové (Nil VAT Return): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies">
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>2 a,b Dodania uskutočnené z členského štátu identifikácie (Supplies from Member State of Identification)</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies/vun:MSCONCountrycode">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Členský štát spotreby (MS of Consumption): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies/vun:SupplyType">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Typ dodania (Type of Supply): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies/vun:TaxableAmount">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Základ dane (EUR) (Taxable amount €): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies/vun:VATRate">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Sadzba DPH (VAT Rate): </xsl:text>
      <xsl:value-of select="."/>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Typ sadzby DPH (VAT Rate Type): </xsl:text>
      <xsl:value-of select="@type"/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies/vun:VATAmount">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Suma DPH (EUR) (VAT amount €): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies">
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>2 c,d Dodania uskutočnené zo stálych prevádzkární v ostatných členských štátoch alebo dodanie tovarov odoslaných alebo prepravených z iných krajín</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>(Services supplied from a Member State of Establishment or supplies of goods dispatched or transported from another Country)</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:EUTraderID/vun:VATIdentificationNumber">
    <xsl:if test="./text() = '*'">
	  <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Kód krajiny členského štátu (Country code): </xsl:text>
	  <xsl:value-of select="@issuedBy"/>
    </xsl:if>
	<xsl:if test="./text() != '*'">
	 <xsl:text>&#xA;</xsl:text> 
      <xsl:text>&#09;</xsl:text> 
      <xsl:text>&#09;</xsl:text> 
      <xsl:text>IČ DPH (VAT Identification Number): </xsl:text> 
	  <xsl:value-of select="@issuedBy"/>
      <xsl:value-of select="."/> 
    </xsl:if>
  </xsl:template>  
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:EUTraderID/vun:TaxReferenceNumber">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Daňové identifikačné číslo (Tax reference number): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:VATReturnDetails/vun:SupplyType">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Typ dodania (Type of Supply): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:VATReturnDetails/vun:MSCONCountrycode">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Členský štát spotreby (MS of Consumption): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:VATReturnDetails/vun:VATRate">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Sadzba DPH (VAT Rate): </xsl:text>
      <xsl:value-of select="."/>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Typ sadzby DPH (VAT Rate Type): </xsl:text>
      <xsl:value-of select="@type"/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:VATReturnDetails/vun:TaxableAmount">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Základ dane (EUR) (Taxable amount €): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies/vun:VATReturnDetails/vun:VATAmount">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Suma DPH (EUR) (VAT amount €): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:GrandTotalMSIDServices">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH za služby dodané z členského štátu identifikácie (EUR)</xsl:text>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>(Total VAT Amount payable for services supplied from the Member state of identification (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:GrandTotalMSIDGoods">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH za tovary dodané z členského štátu identifikácie (EUR) </xsl:text>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>(Total VAT Amount payable for goods supplied from the Member state of identification (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:GrandTotalMSESTServices">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH splatná za služby dodávané zo stálych prevádzkarní, ktoré nie sú v členskom štáte identifikácie (EUR) (Total VAT Amount payable for services supplied from Fixed Establishments not in Member State of identification (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:GrandTotalMSESTGoods">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH splatná za dodávky tovaru odoslaného alebo prepravovaného z iných členských štátov, ako je členský štát identifikácie (EUR) (Total VAT Amount payable for supplies of goods dispatched or transported from Member States other than Member State of Identification (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:GrandTotal">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>2e Celková suma DPH (VAT Return Grand Total)</xsl:text>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH (EUR) (VAT Return Grand Total (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Corrections/vun:Correction">
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>3 Opravy predchádzajúcich daňových priznaní (najviac 3 roky) (Corrections to previous VAT Return (max. 3 years))</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Corrections/vun:Correction/vun:Period/vun:Quarter">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Štvrťrok (Quarter): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Corrections/vun:Correction/vun:Period/vun:Year">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Zdaňovacie obdobie (VAT return period)  </xsl:text>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Rok (Year): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Corrections/vun:Correction/vun:MSCONCountryCode">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Členský štát spotreby (MS of Consumption): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Corrections/vun:Correction/vun:TotalVATAmountCorrection">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH vyplývajúca z opráv k dodaniam resp. poskytnutiam (Total VAT Amount resulting from corrections of supplies (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Balances">
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>&#09;</xsl:text>
    <xsl:text>4 DPH splatná za každý členský štát spotreby (Balance of VAT due for each Member state of Consumption)</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Balances/vun:Balance/vun:MSCONCountryCode">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Členský štát spotreby (MS of Consumption): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:Balances/vun:Balance/vun:BalanceOfVATDue">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Celková suma DPH vrátane korekcií za predchádzajúce obdobia (Total VAT Amount due including corrections of previous returns (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/vun:OSSVATReturnMSCON/vun:TotalVATAmountDue">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>5 Celková suma splatnej DPH (Total Amount of VAT due)</xsl:text>
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text> Celková suma DPH splatná za všetky členské štáty spotreby (EUR) ( Total VAT Amount due for all Member States of Consumption (€)): </xsl:text>
      <xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/">
    <xsl:text>DPOSS_EU</xsl:text>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:TraderID"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:Period"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:NilVatReturn"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSIDSupplies"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:GrandTotalMSIDServices"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:GrandTotalMSIDGoods"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:Supplies/vun:MSESTSupplies"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:GrandTotalMSESTServices"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:GrandTotalMSESTGoods"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:GrandTotal"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:Corrections/vun:Correction"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:Balances"/>
    <xsl:apply-templates select="/vun:OSSVATReturnMSCON/vun:TotalVATAmountDue"/>
  </xsl:template>
</xsl:stylesheet>

